
Website Monitoring - Bug #2290

Handle cases where user has no access to check if host is on SHC

08/14/2018 07:20 PM - Luke Murphey

Status: Closed Start date: 08/14/2018

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.7.2   

Description

If the user doesn't have "list_search_head_clustering" capability then the front-end cannot tell if the host is running on SHC.

Currently, the UI will block since it gets a 403 response from the endpoint.

I need to figure out how to handle this. Not being able to tell if the SH is using SHC means that allowing a user to make an input will

allow them to make an input that won't replicate.

Associated revisions

Revision 426 - 08/14/2018 08:53 PM - lukemurphey

Changing the batch input view such that dev license's work

Reference #2290

Revision 427 - 08/14/2018 08:53 PM - lukemurphey

Changing the batch input view such that dev license's work

Reference #2290

Revision 439 - 11/09/2018 05:29 AM - lukemurphey

Added info about preventing users from making inputs on SHC

Closes #2290

Revision 442 - 11/09/2018 05:29 AM - lukemurphey

Added info about preventing users from making inputs on SHC

Closes #2290

History

#1 - 11/08/2018 11:49 PM - Luke Murphey

- Description updated

#2 - 11/08/2018 11:49 PM - Luke Murphey

I wonder if I can assume that the user shouldn't have the capability on SHC.

#3 - 11/09/2018 05:30 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
